#!/usr/bin/python
# coding=utf-8

# Les modules nécessaires sont importés et mis en place
import random, time 
import RPi.GPIO as GPIO
  
GPIO.setmode(GPIO.BCM) 
 
# Déclaration des broches de sortie sur lesquelles les LEDS sont raccordées
LED_Rouge = 24
LED_Verte = 23
  
# Configuration des broches en sortie
GPIO.setup(LED_Rouge, GPIO.OUT) 
GPIO.setup(LED_Verte, GPIO.OUT)
  
Freq = 100 #Hz
  
# Les couleurs respectives sont initialisées
ROUGE = GPIO.PWM(LED_Rouge, Freq) 
VERTE = GPIO.PWM(LED_Verte, Freq)
ROUGE.start(0)  
VERTE.start(0)
  
# Cette fonction génère la couleur réelle
# L'intensité de la couleur peut être modifiée grâce à la variable Couleur
# Après réglage de la couleur, la durée d'allumage est définie par 'time.sleep'
 
def LED_Couleur(Rouge, Verte, pause):
    ROUGE.ChangeDutyCycle(Rouge)
    VERTE.ChangeDutyCycle(Verte)
    time.sleep(pause)
 
    ROUGE.ChangeDutyCycle(0)
    VERTE.ChangeDutyCycle(0)
   
print "LED-Test [Appuyez sur Ctrl + C pour terminer le test]"
  
# Boucle de programme principale:
# Cette boucle doit faire varier l'intensité de chaque couleur de 0 à 100% en utilisant une boucle for
# Les mélanges des différentes luminosités permettent de créer un gradients de couleurs différentes.
try:
    while True:
        for x in range(0,2):
            for y in range(0,2):
                print (x,y)
                for i in range(0,101):
                    LED_Couleur((x*i),(y*i),.02)
  
# remise en place de tous les GPIO en entrées
except KeyboardInterrupt:
        GPIO.cleanup()